const JWT = {
    getTokenData(token) {
        let segments = token.split('.');
        let [headb64, bodyb64, cryptob64] = segments;
        return JSON.parse(this.base64UrlDecode(bodyb64), true);
    },
    base64( input ){
        return Buffer.from( input ).toString( 'base64' );
    },
    base64ToAscii( base64 ){
        return Buffer.from( base64, 'base64' ).toString( 'ascii' );
    },
    base64UrlEncode( str ){
        return this.base64( str ).split('+/=').join('-_,');
    },
    base64UrlDecode( base64 ){
        return this.base64ToAscii( base64 ).split('+/=').join('-_,');
    }
};

export default JWT;